(*----------------------------------------------------------------------*)
(*        Do_Xmodem_Download --- Controls Xmodem downloads              *)
(*----------------------------------------------------------------------*)

OVERLAY PROCEDURE Do_Xmodem_Download( Transfer_Protocol : Transfer_Type );

(*----------------------------------------------------------------------*)
(*                                                                      *)
(*     Procedure:  Do_Xmodem_Download                                   *)
(*                                                                      *)
(*     Purpose:    Controls Xmodem-family downloads                     *)
(*                                                                      *)
(*     Calling Sequence:                                                *)
(*                                                                      *)
(*        Do_Xmodem_DownLoad( Transfer_Protocol : Transfer_Type );      *)
(*                                                                      *)
(*           Transfer_Protocol --- type of transfer to do               *)
(*                                                                      *)
(*     Calls:   Receive_Ascii_File                                      *)
(*              Receive_Xmodem_File                                     *)
(*              Receive_Kermit_File                                     *)
(*              Receive_Modem7_File                                     *)
(*              Async_Reset_Port                                        *)
(*                                                                      *)
(*     Remarks:                                                         *)
(*                                                                      *)
(*        This routine exists solely to ensure overlaying of the Xmodem *)
(*        code with the Kermit code.                                    *)
(*                                                                      *)
(*----------------------------------------------------------------------*)

