BEGIN (* Do_Xmodem_Upload *)
                                   (* Set comm. parms to 8,n,1 *)

   Xmodem_Bits_Save   := Data_Bits;
   Xmodem_Parity_Save := Parity;
   Xmodem_Stop_Save   := Stop_Bits;

   Async_Reset_Port( Comm_Port, Baud_Rate, 'N', 8, 1 );

                                   (* Perform transfer *)
   CASE Transfer_Protocol OF

      Xmodem_Chk   : Send_Xmodem_File( FALSE );

      Xmodem_CRC   : Send_Xmodem_File( TRUE  );

      Telink,
      Modem7_CRC   : Send_Modem7_File( TRUE );

      Modem7_Chk   : Send_Modem7_File( FALSE );

      Ymodem_Batch : Send_Ymodem_File;

      Ymodem       : Send_Xmodem_File( TRUE  );

      ELSE ;

   END  (* Case *);
                                   (* Reset comm parms to saved values *)

   Async_Reset_Port( Comm_Port, Baud_Rate, Xmodem_Parity_Save,
                     Xmodem_Bits_Save, Xmodem_Stop_Save );

END   (* Do_Xmodem_Upload *);
