                        (* Global Declarations *)
CONST

                   (* 8086/8088 hardware flags *)

   Carry_Flag     = 1;
   Parity_Flag    = 4;
   Aux_Carry_Flag = 16;
   Zero_Flag      = 64;
   Sign_Flag      = 128;

TYPE

   AnyStr   = STRING[255]  (* Matches any string for parameter passing *);

   ShortStr = STRING[30]   (* Short string *);

   KeyStr   = STRING[65]   (* Function key string *);

   FileStr  = STRING[65]   (* File name string *);

   Regpack  = RECORD       (* 8086/8088 registers                      *)
                 CASE INTEGER OF
                    1: ( Ax, Bx, Cx, Dx, Bp, Si, Di, Ds, Es, Flags : INTEGER );
                    2: ( Al, Ah, Bl, Bh, Cl, Ch, Dl, Dh            : BYTE    );
              END;

