(*----------------------------------------------------------------------*)
(*              Display_Timers --- Display session timers               *)
(*----------------------------------------------------------------------*)

OVERLAY PROCEDURE Display_Timers;

VAR
   Ch: CHAR;

BEGIN (* Display_Timers *)

   Save_Screen( Saved_Screen );

   Draw_Menu_Frame( 10, 10, 70, 15, Menu_Frame_Color,
                    Menu_Text_Color, 'Display session timers' );

   WRITELN('Elapsed time since PibTerm started:            ',
           TimeString( TimeDiff( Session_Start_Time , TimeOfDay ) ) );

   WRITELN('Elapsed time since current host session began: ',
           TimeString( TimeDiff( Dialing_Start_Time , TimeOfDay ) ) );

   WRITELN(' ');
   WRITE  ('Enter C to clear session timer, Enter to continue ... ');

   READ( Kbd, Ch );
   IF ( ORD( Ch ) = ESC ) AND KeyPressed THEN
      READ( Kbd, Ch )
   ELSE
      IF UpCase( Ch ) = 'C' THEN
         Dialing_Start_Time := TimeOfDay;

   Restore_Screen( Saved_Screen );
   Reset_Global_Colors;

END   (* Display_Timers *);
