(*----------------------------------------------------------------------*)
(*              Do_Screen_Dump --- write screen image to file           *)
(*----------------------------------------------------------------------*)

OVERLAY PROCEDURE Do_Screen_Dump;

BEGIN (* Do_Screen_Dump *)

   Save_Screen( Saved_Screen );

   IF Screen_Dump_Name <> '' THEN
      BEGIN
         Write_Screen( Screen_Dump_Name );
         Draw_Menu_Frame( 10, 10, 70, 13, Menu_Frame_Color,
                          Menu_Text_Color, '' );
         WRITE('Screen dump written to ',Screen_Dump_Name );
      END
   ELSE
      BEGIN
         Draw_Menu_Frame( 10, 10, 70, 13, Menu_Frame_Color,
                          Menu_Text_Color, '' );
         WRITE('No screen dump file defined, dump not done.');
      END;

   DELAY( Two_Second_Delay );

   Restore_Screen( Saved_Screen );
   Reset_Global_Colors;

END   (* Do_Screen_Dump *);
