
BEGIN (* Do_Xmodem_Download *)
                                   (* Reset comm parms to 8,n,1 *)

   Xmodem_Bits_Save   := Data_Bits;
   Xmodem_Parity_Save := Parity;
   Xmodem_Stop_Save   := Stop_Bits;

   Async_Reset_Port( Comm_Port, Baud_Rate, 'N', 8, 1 );

                                   (* Perform transfer          *)
   CASE Transfer_Protocol Of

      Xmodem_Chk:     Receive_Xmodem_File( FALSE );

      Modem7_CRC,
      Telink:         Receive_Modem7_File( TRUE );

      Modem7_Chk:     Receive_Modem7_File( FALSE );

      Ymodem_Batch:   Receive_Ymodem_File;

      Ymodem:         Receive_Xmodem_File( TRUE );

      Xmodem_Crc:     Receive_Xmodem_File( TRUE  );

      ELSE ;

   END  (* CASE *);
                                   (* Reset comm parms back *)

   Async_Reset_Port( Comm_Port, Baud_Rate, Xmodem_Parity_Save,
                     Xmodem_Bits_Save, Xmodem_Stop_Save );

END   (* Do_Xmodem_DownLoad *);
