(*----------------------------------------------------------------------*)
(*           Do_Xmodem_Upload --- Controls Xmodem uploads               *)
(*----------------------------------------------------------------------*)

OVERLAY PROCEDURE Do_Xmodem_Upload( Transfer_Protocol : Transfer_Type );

(*----------------------------------------------------------------------*)
(*                                                                      *)
(*     Procedure:  Do_Xmodem_Upload                                     *)
(*                                                                      *)
(*     Purpose:    Controls Xmodem-family uploads                       *)
(*                                                                      *)
(*     Calling Sequence:                                                *)
(*                                                                      *)
(*        Do_Xmodem_UpLoad( Transfer_Protocol : Transfer_Type );        *)
(*                                                                      *)
(*           Transfer_Protocol --- type of transfer to do               *)
(*                                                                      *)
(*     Remarks:                                                         *)
(*                                                                      *)
(*        This routine exists solely to ensure overlaying of the Xmodem *)
(*        code with the Kermit code.                                    *)
(*                                                                      *)
(*     Calls:   Send_Xmodem_File                                        *)
(*              Send_Modem7_File                                        *)
(*              Send_Telink_File                                        *)
(*              Async_Reset_Port                                        *)
(*                                                                      *)
(*----------------------------------------------------------------------*)
